Exodus 7.22

Functions
ex_get_node_set_param.c File Reference
`#include "exodusII.h"`

## Functions
int | ex_get_node_set_param (int exoid, ex_entity_id node_set_id, void_int *num_nodes_in_set, void_int *num_df_in_set)

## Function Documentation

## ◆ ex_get_node_set_param()

int ex_get_node_set_param | ( | int | exoid,
|  | ex_entity_id | node_set_id,
|  | void_int * | num_nodes_in_set,
|  | void_int * | num_df_in_set
| ) |  |

Deprecated:
  Use ex_get_set_param()(exoid, EX_NODE_SET, node_set_id, num_nodes_in_set, num_df_in_set)

The function ex_get_node_set_param() reads the number of nodes which describe a single node set and the number of distribution factors for the node set.

Returns
  In case of an error, ex_get_node_set_param() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - a warning value is returned if no node sets are stored in the file.
  - incorrect node set ID.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | node_set_id | The node set ID.
  [out] | num_nodes_in_set | Returned number of nodes in the node set.
  [out] | num_df_in_set | Returned number of distribution factors in the node set.

The following code segment will read a node set from an open exodus file :

int error, exoid, id, num_nodes_in_set, num_df_in_set, *node_list;
float *dist_fact;
/* read node set parameters */
id = 100;
error = ex_get_node_set_param(exoid, id, &num_nodes_in_set,
&num_df_in_set);
/* read node set node list */
node_list = (int *) calloc(num_nodes_in_set, sizeof(int));
error = ex_get_node_set(exoid, id, node_list);
/* read node set distribution factors */
if (num_df_in_set > 0) {
dist_fact = (float *) calloc(num_nodes_in_set, sizeof(float));
error = ex_get_node_set_dist_fact(exoid, id, dist_fact);
}
/* Same result using non-deprecated functions */
error = ex_get_set_param(exoid, EX_NODE_SET, id, &num_nodes_in_set,
&num_df_in_set);
error = ex_get_set(exoid, EX_NODE_SET, id, node_list);
if (num_df_in_set > 0) {
error = ex_get_set_dist_fact(exoid, EX_NODE_SET, id, dist_fact);
}
EX_NODE_SET
Definition: exodusII.h:256
error
error
Definition: ex_put_elem_var_tab.c:115
ex_get_set_dist_fact
int ex_get_set_dist_fact(int exoid, ex_entity_type set_type, ex_entity_id set_id, void *set_dist_fact)
Definition: ex_get_set_dist_fact.c:59
ex_get_node_set_param
SEACAS_DEPRECATED int ex_get_node_set_param(int exoid, ex_entity_id node_set_id, void_int *num_nodes_in_set, void_int *num_df_in_set)
Definition: ex_get_node_set_param.c:94
ex__obj_stats::exoid
int exoid
Definition: exodusII_int.h:666
ex_get_set_param
int ex_get_set_param(int exoid, ex_entity_type set_type, ex_entity_id set_id, void_int *num_entry_in_set, void_int *num_dist_fact_in_set)
Definition: ex_get_set_param.c:62
ex_get_node_set
SEACAS_DEPRECATED int ex_get_node_set(int exoid, ex_entity_id node_set_id, void_int *node_set_node_list)
Definition: ex_get_node_set.c:59
ex_get_node_set_dist_fact
SEACAS_DEPRECATED int ex_get_node_set_dist_fact(int exoid, ex_entity_id node_set_id, void *node_set_dist_fact)
Definition: ex_get_node_set_dist_fact.c:67
ex_get_set
int ex_get_set(int exoid, ex_entity_type set_type, ex_entity_id set_id, void_int *set_entry_list, void_int *set_extra_list)
Definition: ex_get_set.c:50